#!/usr/bin/env python

# to reproduce http://bugs.python.org/issue17898
# file structure:
#  ./test.py
#  ./en/LC_MESSAGES/messages.po

import os, gettext, subprocess

LOCALEDIR = os.path.dirname(__file__)

def create_po_file():
    msg_dir = os.path.join(LOCALEDIR, 'en', 'LC_MESSAGES')
    filename = os.path.join(msg_dir, 'messages.po')
    output = os.path.join(msg_dir, 'messages.mo')
    cmd = 'msgfmt %s -o %s' % (filename, output)
    if not os.path.exists(filename):
        raise Exception("missing file: %s" % filename)
    subprocess.call(cmd.split(' '))

def test():
    create_po_file()
    gettext.install('messages', localedir=LOCALEDIR)
    print gettext.gettext('Hello World')


if __name__ == '__main__':
    test()
